package org.openmhp.system;

import java.awt.*;

import libopenmhp.Grabber; // miknov

/**
* Background layer
* @tejopa
*/
public class BackgroundLayer extends Container {

	static BackgroundLayer instance;

	public BackgroundLayer() {
		super();
		setName(getClass().toString());
		setSize(720,576);
		setLayout(null);
	}

    public void paint(Graphics g) { // miknov: whole method
        Graphics gr = Grabber.getGraphics(Grabber.BACKGROUND_LAYER_INDEX);
        super.paint(gr);
        Grabber.share(Grabber.BACKGROUND_LAYER_INDEX);
    }

}
